diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ht/ht-operation.h ns-3.44/src/wifi/model/ht/ht-operation.h
--- ns-3.43/src/wifi/model/ht/ht-operation.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/ht/ht-operation.h	2025-03-09 16:55:49.791372500 -0700
@@ -30,8 +30,8 @@
 };
 
 /**
- * \brief The HT Operation Information Element
- * \ingroup wifi
+ * @brief The HT Operation Information Element
+ * @ingroup wifi
  *
  * This class knows how to serialise and deserialise
  * the HT Operation Information Element
@@ -48,33 +48,33 @@
     /**
      * Set the Primary Channel field in the HT Operation information element.
      *
-     * \param ctrl the Primary Channel field in the HT Operation information element
+     * @param ctrl the Primary Channel field in the HT Operation information element
      */
     void SetPrimaryChannel(uint8_t ctrl);
     /**
      * Set the Information Subset 1 field in the HT Operation information element.
      *
-     * \param ctrl the Information Subset 1 field in the HT Operation information element
+     * @param ctrl the Information Subset 1 field in the HT Operation information element
      */
     void SetInformationSubset1(uint8_t ctrl);
     /**
      * Set the Information Subset 2 field in the HT Operation information element.
      *
-     * \param ctrl the Information Subset 2 field in the HT Operation information element
+     * @param ctrl the Information Subset 2 field in the HT Operation information element
      */
     void SetInformationSubset2(uint16_t ctrl);
     /**
      * Set the Information Subset 3 field in the HT Operation information element.
      *
-     * \param ctrl the Information Subset 3 field in the HT Operation information element
+     * @param ctrl the Information Subset 3 field in the HT Operation information element
      */
     void SetInformationSubset3(uint16_t ctrl);
     /**
      * Set the Basic MCS Set field in the HT Operation information element.
      *
-     * \param ctrl1 the first 64 bytes of the Basic MCS Set field in the HT Operation
+     * @param ctrl1 the first 64 bytes of the Basic MCS Set field in the HT Operation
      * information element
-     * \param ctrl2 the last 64 bytes of the Basic MCS Set field in the HT Operation
+     * @param ctrl2 the last 64 bytes of the Basic MCS Set field in the HT Operation
      * information element
      */
     void SetBasicMcsSet(uint64_t ctrl1, uint64_t ctrl2);
@@ -82,263 +82,263 @@
     /**
      * Set the secondary channel offset.
      *
-     * \param secondaryChannelOffset the secondary channel offset
+     * @param secondaryChannelOffset the secondary channel offset
      */
     void SetSecondaryChannelOffset(uint8_t secondaryChannelOffset);
     /**
      * Set the STA channel width.
      *
-     * \param staChannelWidth the STA channel width
+     * @param staChannelWidth the STA channel width
      */
     void SetStaChannelWidth(uint8_t staChannelWidth);
     /**
      * Set the RIFS mode.
      *
-     * \param rifsMode the RIFS mode
+     * @param rifsMode the RIFS mode
      */
     void SetRifsMode(uint8_t rifsMode);
 
     /**
      * Set the HT protection.
      *
-     * \param htProtection the HT protection
+     * @param htProtection the HT protection
      */
     void SetHtProtection(uint8_t htProtection);
     /**
      * Set the non GF HT STAs present.
      *
-     * \param nonGfHtStasPresent the non GF HT STAs present
+     * @param nonGfHtStasPresent the non GF HT STAs present
      */
     void SetNonGfHtStasPresent(uint8_t nonGfHtStasPresent);
     /**
      * Set the OBSS non HT STAs present.
      *
-     * \param obssNonHtStasPresent the OBSS non HTA STAs present
+     * @param obssNonHtStasPresent the OBSS non HTA STAs present
      */
     void SetObssNonHtStasPresent(uint8_t obssNonHtStasPresent);
 
     /**
      * Set the dual beacon.
      *
-     * \param dualBeacon the dual beacon
+     * @param dualBeacon the dual beacon
      */
     void SetDualBeacon(uint8_t dualBeacon);
     /**
      * Set the dual CTS protection.
      *
-     * \param dualCtsProtection the dual CTS protection
+     * @param dualCtsProtection the dual CTS protection
      */
     void SetDualCtsProtection(uint8_t dualCtsProtection);
     /**
      * Set the STBC beacon.
      *
-     * \param stbcBeacon the STBC beacon
+     * @param stbcBeacon the STBC beacon
      */
     void SetStbcBeacon(uint8_t stbcBeacon);
     /**
      * Set the LSIG TXOP protection full support.
      *
-     * \param lSigTxopProtectionFullSupport the LSIG TXOP protection full support
+     * @param lSigTxopProtectionFullSupport the LSIG TXOP protection full support
      */
     void SetLSigTxopProtectionFullSupport(uint8_t lSigTxopProtectionFullSupport);
     /**
      * Set the PCO active.
      *
-     * \param pcoActive the PCO active
+     * @param pcoActive the PCO active
      */
     void SetPcoActive(uint8_t pcoActive);
     /**
      * Set the PCO phase.
      *
-     * \param pcoPhase the PCO phase
+     * @param pcoPhase the PCO phase
      */
     void SetPhase(uint8_t pcoPhase);
 
     /**
      * Set the receive MCS bitmask.
      *
-     * \param index the MCS bitmask
+     * @param index the MCS bitmask
      */
     void SetRxMcsBitmask(uint8_t index);
     /**
      * Set the receive highest supported data rate.
      *
-     * \param maxSupportedRate the maximum supported data rate
+     * @param maxSupportedRate the maximum supported data rate
      */
     void SetRxHighestSupportedDataRate(uint16_t maxSupportedRate);
     /**
      * Set the transmit MCS set defined.
      *
-     * \param txMcsSetDefined the transmit MCS set defined
+     * @param txMcsSetDefined the transmit MCS set defined
      */
     void SetTxMcsSetDefined(uint8_t txMcsSetDefined);
     /**
      * Set the transmit / receive MCS set unequal.
      *
-     * \param txRxMcsSetUnequal the transmit / receive MCS set unequal
+     * @param txRxMcsSetUnequal the transmit / receive MCS set unequal
      */
     void SetTxRxMcsSetUnequal(uint8_t txRxMcsSetUnequal);
     /**
      * Set the transmit maximum number spatial streams.
      *
-     * \param maxTxSpatialStreams the maximum transmit spatial streams
+     * @param maxTxSpatialStreams the maximum transmit spatial streams
      */
     void SetTxMaxNSpatialStreams(uint8_t maxTxSpatialStreams);
     /**
      * Set the transmit unequal modulation.
      *
-     * \param txUnequalModulation the transmit unequal modulation
+     * @param txUnequalModulation the transmit unequal modulation
      */
     void SetTxUnequalModulation(uint8_t txUnequalModulation);
 
     /**
      * Return the Primary Channel field in the HT Operation information element.
      *
-     * \return the Primary Channel field in the HT Operation information element
+     * @return the Primary Channel field in the HT Operation information element
      */
     uint8_t GetPrimaryChannel() const;
     /**
      * Return the Information Subset 1 field in the HT Operation information element.
      *
-     * \return the Information Subset 1 field in the HT Operation information element
+     * @return the Information Subset 1 field in the HT Operation information element
      */
     uint8_t GetInformationSubset1() const;
     /**
      * Return the Information Subset 2 field in the HT Operation information element.
      *
-     * \return the Information Subset 2 field in the HT Operation information element
+     * @return the Information Subset 2 field in the HT Operation information element
      */
     uint16_t GetInformationSubset2() const;
     /**
      * Return the Information Subset 3 field in the HT Operation information element.
      *
-     * \return the Information Subset 3 field in the HT Operation information element
+     * @return the Information Subset 3 field in the HT Operation information element
      */
     uint16_t GetInformationSubset3() const;
     /**
      * Return the first 64 bytes of the Basic MCS Set field in the HT Operation information element.
      *
-     * \return the first 64 bytes of the Basic MCS Set field in the HT Operation information element
+     * @return the first 64 bytes of the Basic MCS Set field in the HT Operation information element
      */
     uint64_t GetBasicMcsSet1() const;
     /**
      * Return the last 64 bytes of the Basic MCS Set field in the HT Operation information element.
      *
-     * \return the last 64 bytes of the Basic MCS Set field in the HT Operation information element
+     * @return the last 64 bytes of the Basic MCS Set field in the HT Operation information element
      */
     uint64_t GetBasicMcsSet2() const;
 
     /**
      * Return the secondary channel offset.
      *
-     * \return the secondary channel offset
+     * @return the secondary channel offset
      */
     uint8_t GetSecondaryChannelOffset() const;
     /**
      * Return the STA channel width.
      *
-     * \return the STA channel width
+     * @return the STA channel width
      */
     uint8_t GetStaChannelWidth() const;
     /**
      * Return the RIFS mode.
      *
-     * \return the RIFS mode
+     * @return the RIFS mode
      */
     uint8_t GetRifsMode() const;
 
     /**
      * Return the HT protection.
      *
-     * \return the HT protection
+     * @return the HT protection
      */
     uint8_t GetHtProtection() const;
     /**
      * Return the non GF HT STAs present.
      *
-     * \return the non GF HT STAs present
+     * @return the non GF HT STAs present
      */
     uint8_t GetNonGfHtStasPresent() const;
     /**
      * Return the OBSS non HT STAs present.
      *
-     * \return the OBSS non HT STAs present
+     * @return the OBSS non HT STAs present
      */
     uint8_t GetObssNonHtStasPresent() const;
 
     /**
      * Return dual beacon.
      *
-     * \return the dual beacon
+     * @return the dual beacon
      */
     uint8_t GetDualBeacon() const;
     /**
      * Return dual CTS protection.
      *
-     * \return the dual CTS protection
+     * @return the dual CTS protection
      */
     uint8_t GetDualCtsProtection() const;
     /**
      * Return STBC beacon.
      *
-     * \return the STBC beacon
+     * @return the STBC beacon
      */
     uint8_t GetStbcBeacon() const;
     /**
      * Return LSIG TXOP protection full support.
      *
-     * \return the LSIG TXOP protection full support
+     * @return the LSIG TXOP protection full support
      */
     uint8_t GetLSigTxopProtectionFullSupport() const;
     /**
      * Return PCO active.
      *
-     * \return the PCO active
+     * @return the PCO active
      */
     uint8_t GetPcoActive() const;
     /**
      * Return phase.
      *
-     * \return the phase
+     * @return the phase
      */
     uint8_t GetPhase() const;
 
     /**
      * Return MCS is supported.
      *
-     * \param mcs MCS
+     * @param mcs MCS
      *
-     * \return the MCS is supported
+     * @return the MCS is supported
      */
     bool IsSupportedMcs(uint8_t mcs) const;
     /**
      * Return receive highest supported data rate.
      *
-     * \return receive highest supported data rate
+     * @return receive highest supported data rate
      */
     uint16_t GetRxHighestSupportedDataRate() const;
     /**
      * Return transmit MCS set defined.
      *
-     * \return the transmit MCS set defined
+     * @return the transmit MCS set defined
      */
     uint8_t GetTxMcsSetDefined() const;
     /**
      * Return transmit / receive MCS set unequal.
      *
-     * \return transmit / receive MCS set unequal
+     * @return transmit / receive MCS set unequal
      */
     uint8_t GetTxRxMcsSetUnequal() const;
     /**
      * Return transmit maximum number spatial streams.
      *
-     * \return transmit maximum number spatial streams
+     * @return transmit maximum number spatial streams
      */
     uint8_t GetTxMaxNSpatialStreams() const;
     /**
      * Return transmit unequal modulation.
      *
-     * \return transmit unequal modulation
+     * @return transmit unequal modulation
      */
     uint8_t GetTxUnequalModulation() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ht/ht-phy.cc ns-3.44/src/wifi/model/ht/ht-phy.cc
--- ns-3.43/src/wifi/model/ht/ht-phy.cc	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/ht/ht-phy.cc	2025-03-09 16:55:49.791372500 -0700
@@ -712,7 +712,7 @@
 uint16_t
 HtPhy::GetUsableSubcarriers(MHz_u channelWidth)
 {
-    return (channelWidth == 40) ? 108 : 52;
+    return (channelWidth == MHz_u{40}) ? 108 : 52;
 }
 
 Time
@@ -816,12 +816,12 @@
 PhyEntity::CcaIndication
 HtPhy::GetCcaIndication(const Ptr<const WifiPpdu> ppdu)
 {
-    if (m_wifiPhy->GetChannelWidth() < 40)
+    if (m_wifiPhy->GetChannelWidth() < MHz_u{40})
     {
         return OfdmPhy::GetCcaIndication(ppdu);
     }
     auto ccaThreshold = GetCcaThreshold(ppdu, WIFI_CHANLIST_PRIMARY);
-    auto delayUntilCcaEnd = GetDelayUntilCcaEnd(ccaThreshold, GetPrimaryBand(20));
+    auto delayUntilCcaEnd = GetDelayUntilCcaEnd(ccaThreshold, GetPrimaryBand(MHz_u{20}));
     if (delayUntilCcaEnd.IsStrictlyPositive())
     {
         return std::make_pair(
@@ -830,7 +830,7 @@
     }
     if (ppdu)
     {
-        const MHz_u primaryWidth = 20;
+        const MHz_u primaryWidth{20};
         const MHz_u p20MinFreq =
             m_wifiPhy->GetOperatingChannel().GetPrimaryChannelCenterFrequency(primaryWidth) -
             (primaryWidth / 2);
@@ -847,7 +847,7 @@
         }
     }
 
-    const MHz_u secondaryWidth = 20;
+    const MHz_u secondaryWidth{20};
     const MHz_u s20MinFreq =
         m_wifiPhy->GetOperatingChannel().GetSecondaryChannelCenterFrequency(secondaryWidth) -
         (secondaryWidth / 2);
@@ -857,7 +857,7 @@
     if (!ppdu || ppdu->DoesOverlapChannel(s20MinFreq, s20MaxFreq))
     {
         ccaThreshold = GetCcaThreshold(ppdu, WIFI_CHANLIST_SECONDARY);
-        delayUntilCcaEnd = GetDelayUntilCcaEnd(ccaThreshold, GetSecondaryBand(20));
+        delayUntilCcaEnd = GetDelayUntilCcaEnd(ccaThreshold, GetSecondaryBand(MHz_u{20}));
         if (delayUntilCcaEnd.IsStrictlyPositive())
         {
             return std::make_pair(delayUntilCcaEnd, WIFI_CHANLIST_SECONDARY);
